ru.bitel.bgbilling.kernel.event

## Class ExecutorEventWorker.ContractExecutorEventWorker

- java.lang.Object
- - ru.bitel.bgbilling.kernel.event.ExecutorEventWorker.ContractExecutorEventWorker

- All Implemented Interfaces:
    ru.bitel.bgbilling.kernel.application.server.Lifecycle
  Enclosing class:
    ExecutorEventWorker

      public static class ExecutorEventWorker.ContractExecutorEventWorker
      extends java.lang.Object
      implements ru.bitel.bgbilling.kernel.application.server.Lifecycle

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.util.List<AbstractExecutorEventWorker>` | `eventWorkers`
    `protected java.util.concurrent.ExecutorService[]` | `executors`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ContractExecutorEventWorker(EventProcessor ep, java.lang.String name, int threadCount, int queueSize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `onMessage(javax.jms.Message message, ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer)`
    `void` | `start()`
    `void` | `stop()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### executors

          protected final java.util.concurrent.ExecutorService[] executors

    - #### eventWorkers

          protected final java.util.List<AbstractExecutorEventWorker> eventWorkers

  - ### Constructor Detail

    - #### ContractExecutorEventWorker

          public ContractExecutorEventWorker(EventProcessor ep,
                                             java.lang.String name,
                                             int threadCount,
                                             int queueSize)

  - ### Method Detail

    - #### onMessage

          public void onMessage(javax.jms.Message message,
                                ru.bitel.bgbilling.kernel.event.AbstractConsumer consumer)

    - #### start

          public void start()
                     throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `start` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
      Throws:
        `ru.bitel.bgbilling.common.BGException`

    - #### stop

          public void stop()
                    throws ru.bitel.bgbilling.common.BGException

      Specified by:
        `stop` in interface `ru.bitel.bgbilling.kernel.application.server.Lifecycle`
      Throws:
        `ru.bitel.bgbilling.common.BGException`